{ ------------------------------------------------------------- }
{                                                               }
{   Name:           Compiler.Inc                                }
{   Version:        V 0.2                                       }
{   Author:         Erick I. Jimenez Alvarado                   }
{   To contact:     erickj@usa.net                              }
{                   http://members.xoom.com/erickj              }
{                                                               }
{   Description:    Compiler directives to handle code, and     }
{                   used by all components.                     }
{                                                               }
{   File Status:    COMPONETWARE ( like a FREEWARE but if you   }
{                   make a Componet or modify this please       }
{                   send or e-mail me this).                    }
{                                                               }
{   Last Upadated:  01/17/99                                    }
{                                                               }
{   History:                                                    }
{                                                               }
{    11/22/98   V0.1 -  First relase version (Internal use)     }
{    01/17/99   V0.2 -  Cosmetic corrections and new coments    }
{                                                               }
{   Finally:        Sorry my bad, bad english and thanks for    }
{                   use my component.                           }
{                                                               }
{ ------------------------------------------------------------- }

{$IFNDEF COMPILER_INC}      { // To prevent multiple instances }

{$DEFINE COMPILER_INC}

{
// --------------------------------------------------------
//  Code Generation Directives
// --------------------------------------------------------
}

{$O+}        { Optimizations            }
{$F-}        { Force Far Calls          }
{$A+}        { Word Align Data          }
{.$U-}        { Pentium-Safe FDIV        }
{$K-}        { Smart Callbacks          }
{.$W+}        { Windows Stack Frame      }
{$W-}        { Windows Stack Frame      }

{
// --------------------------------------------------------
//  Runtime Errors
// --------------------------------------------------------
}

{$R-}        { Range Checking - Off     }
{$S+}        { Stack Overflow Checking (only turn off if you finished) }
{$I+}        { I/O Checking             }
{$Q-}        { Integer Overflow Checking }

{
// --------------------------------------------------------
//  Syntax Options
// --------------------------------------------------------
}

{$V-}        { Strict Var-Strings       }
{$B-}        { Complete Boolean Evaluation }
{$X+}        { Extended Syntax          }
{$T-}        { Typed @ Operator         }
{$P+}        { Open String Parameters   }

{
// --------------------------------------------------------
//  Options for Win32
// --------------------------------------------------------
}

{$IFDEF WIN32}
{$J-}       { Writeable Structured Consts }
{$H+}       { Huge Strings              }
{$ENDIF} { // WIN32 }


{
// --------------------------------------------------------
//  Miscellaneous Directives
// --------------------------------------------------------
}

{$G+}       { Use data Import data reference }
{$Z-}       { Word Size Enumerated Types }
{$N+}       { Numeric Coprocesor        }

{
// --------------------------------------------------------
//  Debug Directives
// --------------------------------------------------------
}

{$IFDEF DEBUGCODE}

{$D+}       { Debug Info                }
{$L+}       { Local Debug Symbols       }
{$Y+}       { Symbol Reference info     }

{$ELSE}

{$D-}       { No Debug Info             }
{$L-}       { No Local Debug Symbols    }
{$Y-}       { No Symbol Reference info  }

{$ENDIF} { // DEBUGCODE }

{$C PRELOAD}

{$ENDIF} { // COMPILER_INC }
